<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.8.0/chart.min.js"></script>

<div class="row">
 
  <div class="row">
    <div class="col-lg-12 col-md-6" >
      <div  class="card" style="
      padding: 2%;
  ">
  <h3 class="font-medium col-6">Generar reportes por juego</h3>
   <form  
  name="form" 
   #f="ngForm" 
   novalidate  (ngSubmit)="onSubmit()">
     
   <p>
    <label>Paciente:</label>
   <select  [(ngModel)]="form.idPaciente" class="form-select form-select-sm" 
   aria-label=".form-select-sm example" name="idPaciente" (change)="onChange()"  >
          <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
           {{ paciente.nombre }} {{ paciente.apellido }}
         </option>
     </select>
    </p>


   <p>
     <label>Fecha desde:</label>
     <input type="date" name="desde" [(ngModel)]="form.desde"  #desde="ngModel" required class="form-control" max="{{hoy}}">
   </p>

   <p>
     <label>Fecha hasta:</label>
     <input type="date" name="hasta" [(ngModel)]="form.hasta"  #hasta="ngModel"  required class="form-control" max="{{hoy}}">
   </p>

<p>
<label>Juego:</label>
   <select    class="form-control" 
   name="idJuego" [(ngModel)]="form.idJuego"  required   (change)="onChange()"  >
    <option  *ngFor="let juego of juegos" [ngValue]="juego.id" >{{juego.nombre}}</option>
  </select>
</p>


<p>
   <input type="submit"class="btn btn-primary" value="Generar reporte"/>

  </p>

   </form>
  </div>
  </div>
</div>




   <div id="resultados" class="row">
  <div *ngIf="cantidadResultados>0; else reportesvacios">

  <div class="col-lg-12 col-md-6 center supercontenedor">
 
      <div class="chart-container circular center" >

         <a class="font-medium mb-3 grafico3" id="grafico3" (click)="example3()">
         </a>
        <canvas  id="example3">
          {{ example3 }}
        </canvas>   


      </div>
  

      <div class="chart-container barras" >
        <h3 class="font-medium mb-3 grafico2" id="grafico2" (click)="example2()">
          </h3>

         <canvas id="example2" width="400" height="200">{{ chart2 }}</canvas>   
     </div>
                     

    </div>
  </div>

    <ng-template #reportesvacios>
      <div  class="" > 
      <div class="col-lg-12 col-md-6" >
        <div  class="card" > <div class="card-body">
        <div *ngIf="bandera>0;">
        <div class="chart-container" >
          <h4 class="font-medium mb-3">
            No se encontraron resultados.
          </h4>
        </div>   
      </div> 
    </div>
  </div>
      
      </div>
        
    </div>
 



 </ng-template>

</div>






    </div>